[pacman] MàJ impossible ?

Reconnaissance et configuration du matériel / kernel linux
Répondre
Guiux
Elfe
Messages : 870
Inscription : sam. 04 avr. 2009, 00:04
Localisation : Paris

[pacman] MàJ impossible ?

Message par Guiux »

Bonjour à tous :D
Depuis l'arrivée de pacman 3.3.0, j'ai un message que je n'avais jamais auparavant lorsque je veux faire une mise-à-jour :

Code : Tout sélectionner

$ yaourt -Su
Checking the integrity of the local database in /var/lib/pacman/
Un pacman -Sy ou pacman-optimize n'y changent rien.
Arch 64 bits KDE 4 + Windows 7 sur Dell XPS M1530 [Core 2 Duo 2,4 GHz | 3 Go RAM | nVidia Geforce 8600M GT]
Avatar de l’utilisateur
warnaud
Maître du Kyudo
Messages : 1640
Inscription : ven. 11 août 2006, 17:05
Localisation : Rolle (CH)
Contact :

Re: [pacman] MàJ impossible ?

Message par warnaud »

Et ça empêche les mises à jour de se faire? Ça ressemble plus à un message rapportant ce que le programme fait.
Plus ça rate, plus ça a de chance de réussir. En somme, un succès n'est qu'une erreur qui a finit par réussir (même par erreur). Ne déséspérez donc pas et perseverez. Utilisez La Rache™
Patientia quod lard quod barrus planto diligo ut licentia
—¤÷(`[¤*Powered By *¤]´)÷¤—
Archlinux ~ Fvwm ~ Irssi ~ URxvt
Guiux
Elfe
Messages : 870
Inscription : sam. 04 avr. 2009, 00:04
Localisation : Paris

Re: [pacman] MàJ impossible ?

Message par Guiux »

À vrai dire, je n'en sais rien. Les seules mises-à-jour qui se sont faites depuis l'apparition de ce message sont celles de pacman.
Après, je ne sais pas si les mises-à-jour ne se font pas ou s'il n'y en a tout simplement pas eu... :?
Arch 64 bits KDE 4 + Windows 7 sur Dell XPS M1530 [Core 2 Duo 2,4 GHz | 3 Go RAM | nVidia Geforce 8600M GT]
Avatar de l’utilisateur
warnaud
Maître du Kyudo
Messages : 1640
Inscription : ven. 11 août 2006, 17:05
Localisation : Rolle (CH)
Contact :

Re: [pacman] MàJ impossible ?

Message par warnaud »

Bizarre il y a quand même pas mal de mises à jour ces temps-ci et pas que KDE.
Si t'essaie d'installer quelque chose ça fonctionne?
Plus ça rate, plus ça a de chance de réussir. En somme, un succès n'est qu'une erreur qui a finit par réussir (même par erreur). Ne déséspérez donc pas et perseverez. Utilisez La Rache™
Patientia quod lard quod barrus planto diligo ut licentia
—¤÷(`[¤*Powered By *¤]´)÷¤—
Archlinux ~ Fvwm ~ Irssi ~ URxvt
Avatar de l’utilisateur
Vinvin
yeomen
Messages : 290
Inscription : ven. 14 déc. 2007, 14:37
Localisation : Rennes

Re: [pacman] MàJ impossible ?

Message par Vinvin »

Bonjour
J'ai moi aussi ce nouveau message qui apparait lorsque j'utilise pacman :
yaourt -Syu
:: Synchronisation des bases de données de paquets...
core est à jour;
extra est à jour;
community est à jour;
archlinuxfr est à jour;
Checking the integrity of the local database in /var/lib/pacman/
Ma version de pacman est la 3.3.0-3

Ça ne ressemble pas à un message d'erreur. Malgré la présence de ce message, j'ai pu avoir des mises-à-jour.
J'ai également essayé d'installer un nouveau logiciel (midori) :
yaourt midori
1 extra/midori 0.1.9-1
A lightweight web browser based on Gtk WebKit
2 aur/midori-git 20090725-1 (193)
A lightweight web browser based on WebKit. GIT Development Version.
==> Entrez les n° (séparés par un espace, ou une intervalle) des paquetages à installer
==> ----------------------------------------------
==>1
Résolution des dépendances...
Recherche des conflits possibles entre paquets...

Cibles (2): libwebkit-1.1.10-2 midori-0.1.9-1

Taille totale des paquets (téléchargement): 6,40 Mo
Taille totale des paquets (installation): 19,51 Mo

Procéder à l'installation ? [O/n]
:: Récupération des paquets du dépôt extra...
libwebkit-1.1.10-2-i686 5,8M 1008,6K/s 00:00:06 [######################] 100%
midori-0.1.9-1-i686 625,8K 558,9K/s 00:00:01 [######################] 100%
Analyse de l'intégrité des paquets...
(2/2) Analyse des conflits entre fichiers [######################] 100%
(1/2) Installation de libwebkit [######################] 100%
(2/2) Installation de midori [######################] 100%
Dépendances optionnelles pour midori
libnotify: for finished transfers
Checking the integrity of the local database in /var/lib/pacman/
Cela a fonctionné, midori est correctement installé.

Bref, il me semble que ce message indique une action réalisée, plutôt qu'une erreur détectée.
benjarobin
Maître du Kyudo
Messages : 15971
Inscription : sam. 30 mai 2009, 15:48
Localisation : Lyon

Re: [pacman] MàJ impossible ?

Message par benjarobin »

Je ne vois vraiment pas ou est le problème, a moins que cela vienne de l'anglais que tu ne comprenne pas :cry: Il vérifie juste si la base de donnée n'est pas corrompu, que tout y est... C'est bien car si avant pacman ne le faisait pas cela pourrai expliquer pourquoi des fois des gens on des problèmes de mise a jour...
Zsh | KDE | PC fixe : core i7, carte nvidia | Portable : Asus ul80vt
Titre d'un sujet : [Thème] Sujet (état)
traaf
archer
Messages : 101
Inscription : jeu. 01 nov. 2007, 22:33

Re: [pacman] MàJ impossible ?

Message par traaf »

pas de blem avec ce message ici sur un pc
Procéder à l'installation ? [O/n] o
:: Récupération des paquets du dépôt core...
gawk-3.1.7-1-x86_64 983,6K 244,1K/s 00:00:04 [######################################################] 100%
psmisc-22.8-1-x86_64 76,2K 207,6K/s 00:00:00 [######################################################] 100%
readline-6.0.004-1-... 432,5K 242,5K/s 00:00:02 [######################################################] 100%
shadow-4.1.4.2-1-x86_64 1202,7K 248,3K/s 00:00:05 [######################################################] 100%
Analyse de l'intégrité des paquets...
(4/4) Analyse des conflits entre fichiers [######################################################] 100%
(1/4) Mise à jour de gawk [######################################################] 100%
(2/4) Mise à jour de psmisc [######################################################] 100%
(3/4) Mise à jour de readline [######################################################] 100%
(4/4) Mise à jour de shadow [######################################################] 100%
Fixing gshadow file ...
Checking the integrity of the local database in /var/lib/pacman/

par contre, l'autre aime moins :
Erreur: la préparation de la transaction a échoué (la satisfaction des dépendances a échoué)
:: Début de la mise à jour complète du système...
Résolution des dépendances...
:: pacman-color: requiert pacman=3.2.2
Vérification des mises à jour disponibles...
ya du retard sur pacman-color ?
/Linux, y'a moins bien mais c'est plus cher
benjarobin
Maître du Kyudo
Messages : 15971
Inscription : sam. 30 mai 2009, 15:48
Localisation : Lyon

Re: [pacman] MàJ impossible ?

Message par benjarobin »

traaf a écrit :ya du retard sur pacman-color ?
Non : http://aur.archlinux.org/packages.php?ID=11827 Tu ne dois pas avoir mis ta liste de paquets a jour, ou tu utilise un miroir qui ne l'est pas
Zsh | KDE | PC fixe : core i7, carte nvidia | Portable : Asus ul80vt
Titre d'un sujet : [Thème] Sujet (état)
traaf
archer
Messages : 101
Inscription : jeu. 01 nov. 2007, 22:33

Re: [pacman] MàJ impossible ?

Message par traaf »

benjarobin a écrit :
traaf a écrit :ya du retard sur pacman-color ?
Non : http://aur.archlinux.org/packages.php?ID=11827 Tu ne dois pas avoir mis ta liste de paquets a jour, ou tu utilise un miroir qui ne l'est pas
oui, le miroir archlinux.fr

[traaf@keynux ~]$ yaourt pacman-color
1 archlinuxfr/pacman-color 3.2.2-4
Command-line frontend for libalpm aka pacman with color patch
2 aur/pacman-color 3.3.0-1 (655)
Command-line frontend for libalpm aka pacman with color patch
j'ai déinstallé pour pouvoir lancer le giga de mises à jour en retard
Taille totale des paquets (téléchargement): 819,32 Mo
Taille totale des paquets (installation): 2410,27 Mo
:shock:
/Linux, y'a moins bien mais c'est plus cher
benjarobin
Maître du Kyudo
Messages : 15971
Inscription : sam. 30 mai 2009, 15:48
Localisation : Lyon

Re: [pacman] MàJ impossible ?

Message par benjarobin »

traaf a écrit :j'ai déinstallé pour pouvoir lancer le giga de mises à jour en retard
Tu as KDE toi :D , attention quand même au warnings avant de rebooter... Bonne chance
Zsh | KDE | PC fixe : core i7, carte nvidia | Portable : Asus ul80vt
Titre d'un sujet : [Thème] Sujet (état)
Guiux
Elfe
Messages : 870
Inscription : sam. 04 avr. 2009, 00:04
Localisation : Paris

Re: [pacman] MàJ impossible ?

Message par Guiux »

Ben... Ce qui me gênait, c'est qu'à aucun moment il n'est indiqué "Recherche des mises-à-jour" ou "Aucune mise-à-jour trouvée"...
Du coup, j'avais l'impression que cela avait été interrompu.

Mais si vous me dites que c'est désormais le comportement normal, il n'y a pas de problème. :)
Arch 64 bits KDE 4 + Windows 7 sur Dell XPS M1530 [Core 2 Duo 2,4 GHz | 3 Go RAM | nVidia Geforce 8600M GT]
traaf
archer
Messages : 101
Inscription : jeu. 01 nov. 2007, 22:33

Re: [pacman] MàJ impossible ?

Message par traaf »

benjarobin a écrit : Tu as KDE toi :D
non, meme pas (j'ai juste amarok, avec pas mal de dépendances)
/Linux, y'a moins bien mais c'est plus cher
Avatar de l’utilisateur
cdemoulins
Chu Ko Nu
Messages : 310
Inscription : mar. 11 mars 2008, 04:15
Localisation : Paris

Re: [pacman] MàJ impossible ?

Message par cdemoulins »

J'ai fais la mise à jour de pacman-color 3.3.0 sur le dépot mais que pour la version i686, je n'ai pas de arch en 64.
Répondre